<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
if (strlen(session_id()) < 1) session_start();

// Verifica que la sesión esté iniciada correctamente
if (!isset($_SESSION["idusuario"])) {
    echo json_encode(["error" => "Sesión no válida o no iniciada."]);
    exit;
}
require_once "../modelos/Finanza.php";

$finanza=new Finanza();
//$idcierre=isset($_POST["idcierre"])? limpiarCadena($_POST["idcierre"]):"";

    switch ($_GET["op"]) {

        case 'mostrar_finanzas':
            $tipo_pago=$_REQUEST['tipo_pago'];
            $idcierre=$_REQUEST['idcierre'];
            $rspta=$finanza->mostrar_finanzas($idcierre,$tipo_pago);
            //Codificar el resultado utilizando json
            echo json_encode($rspta);
        break;
        
         case 'mostrar_finanzas_total':
            $tipo_pago=$_REQUEST['tipo_pago'];
            $fecha_inicio=$_REQUEST['fecha_inicio'];
            $fecha_fin=$_REQUEST['fecha_fin'];
            $tipo_usuario=$_REQUEST['tipo_usuario'];
            
            $rspta=$finanza->mostrar_finanzas_total($tipo_pago,$fecha_inicio,$fecha_fin,$tipo_usuario);
            //Codificar el resultado utilizando json
            echo json_encode($rspta);
        break;
    }